Name:           nwipe
Version:        0.14
Release:        2%{?dist}
Summary:        Securely erase disks using a variety of recognized methods

Group:          Applications/System
License:        GPLv2
URL:            http://nwipe.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  parted-devel
BuildRequires:  ncurses-devel
#BuildRequires:  autoconf

#For compatibility with EPEL5
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)


%description
The nwipe is a command that will securely erase disks using a variety of 
recognized methods. It is a fork of the dwipe command used by Darik's 
Boot and Nuke (dban). Nwipe was created out of need to run the DBAN dwipe
command outside of DBAN. This allows it to use any host distribution which
gives better hardware support. It is essentially the same as dwipe, with 
a few changes:
- pthreads is used instead of fork
- The parted library is used to detect drives
- The code is designed to be compiled with gcc 

%prep
%setup -q

%build
#autoreconf
%configure
make %{?_smp_mflags}


%install
#Cleanup the buildroot for compatibility with EPEL5
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} LDFLAGS="-lncurses -lpanel"

%clean
#Cleanup the buildroot for compatibility with EPEL5
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Sat Feb 16 2013 Michal Ambroz <rebus at, seznam.cz> 0.14-2
- removed build requirement to autoconf again

* Sat Feb 16 2013 Michal Ambroz <rebus at, seznam.cz> 0.14-1
- upgrade to version 0.14

* Sun Feb 10 2013 Michal Ambroz <rebus at, seznam.cz> 0.13-2
- patched build to check for ncurses independently from panel

* Sun Feb 10 2013 Michal Ambroz <rebus at, seznam.cz> 0.13-1
- upgrade to version 0.13

* Tue Feb 05 2013 Michal Ambroz <rebus at, seznam.cz> 0.12-1
- upgrade to version 0.12

* Mon Sep 24 2012 Michal Ambroz <rebus at, seznam.cz> 0.11-1
- upgrade to version 0.11

* Fri Aug 10 2012 Michal Ambroz <rebus at, seznam.cz> 0.10-1
- upgrade to version 0.10

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 08 2012 Michal Ambroz <rebus at, seznam.cz> 0.08-1
- upgrade to version 0.08

* Thu Mar 15 2012 Rex Dieter <rdieter@fedoraproject.org> 0.06-3
- rebuild (parted)

* Fri Jan 06 2012 Michal Ambroz <rebus at, seznam.cz> 0.06-2
- redownload of upstream package - original release of 0.06 contained binaries

* Thu Jan 05 2012 Michal Ambroz <rebus at, seznam.cz> 0.06-1
- added Group field
- FSF address and manpage was fixed upstream
- bump to new version 0.06

* Sun Jan 01 2012 Michal Ambroz <rebus at, seznam.cz> 0.05-3
- added clean stage for EPEL5 compatibility

* Sun Jan 01 2012 Michal Ambroz <rebus at, seznam.cz> 0.05-2
- fixed defattr based on package review from Ivan Romanov

* Wed Dec 28 2011 Michal Ambroz <rebus at, seznam.cz> 0.05-1
- initial build for Fedora

